package cn.superdesk.uniorder.dao.entity.base;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedOrderReturnCreditExample {
    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public UnifiedOrderReturnCreditExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNull() {
            addCriterion("order_id is null");
            return (Criteria) this;
        }

        public Criteria andOrderIdIsNotNull() {
            addCriterion("order_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrderIdEqualTo(Long value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotEqualTo(Long value) {
            addCriterion("order_id <>", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(Long value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("order_id >=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThan(Long value) {
            addCriterion("order_id <", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("order_id <=", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<Long> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotIn(List<Long> values) {
            addCriterion("order_id not in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdBetween(Long value1, Long value2) {
            addCriterion("order_id between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("order_id not between", value1, value2, "orderId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNull() {
            addCriterion("goods_id is null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIsNotNull() {
            addCriterion("goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsIdEqualTo(Long value) {
            addCriterion("goods_id =", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotEqualTo(Long value) {
            addCriterion("goods_id <>", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThan(Long value) {
            addCriterion("goods_id >", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdGreaterThanOrEqualTo(Long value) {
            addCriterion("goods_id >=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThan(Long value) {
            addCriterion("goods_id <", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdLessThanOrEqualTo(Long value) {
            addCriterion("goods_id <=", value, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdIn(List<Long> values) {
            addCriterion("goods_id in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotIn(List<Long> values) {
            addCriterion("goods_id not in", values, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdBetween(Long value1, Long value2) {
            addCriterion("goods_id between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andGoodsIdNotBetween(Long value1, Long value2) {
            addCriterion("goods_id not between", value1, value2, "goodsId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdIsNull() {
            addCriterion("out_snapshot_order_credit_id is null");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdIsNotNull() {
            addCriterion("out_snapshot_order_credit_id is not null");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdEqualTo(Long value) {
            addCriterion("out_snapshot_order_credit_id =", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdNotEqualTo(Long value) {
            addCriterion("out_snapshot_order_credit_id <>", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdGreaterThan(Long value) {
            addCriterion("out_snapshot_order_credit_id >", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdGreaterThanOrEqualTo(Long value) {
            addCriterion("out_snapshot_order_credit_id >=", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdLessThan(Long value) {
            addCriterion("out_snapshot_order_credit_id <", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdLessThanOrEqualTo(Long value) {
            addCriterion("out_snapshot_order_credit_id <=", value, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdIn(List<Long> values) {
            addCriterion("out_snapshot_order_credit_id in", values, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdNotIn(List<Long> values) {
            addCriterion("out_snapshot_order_credit_id not in", values, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdBetween(Long value1, Long value2) {
            addCriterion("out_snapshot_order_credit_id between", value1, value2, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andOutSnapshotOrderCreditIdNotBetween(Long value1, Long value2) {
            addCriterion("out_snapshot_order_credit_id not between", value1, value2, "outSnapshotOrderCreditId");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIsNull() {
            addCriterion("credit_type is null");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIsNotNull() {
            addCriterion("credit_type is not null");
            return (Criteria) this;
        }

        public Criteria andCreditTypeEqualTo(Integer value) {
            addCriterion("credit_type =", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotEqualTo(Integer value) {
            addCriterion("credit_type <>", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeGreaterThan(Integer value) {
            addCriterion("credit_type >", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("credit_type >=", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeLessThan(Integer value) {
            addCriterion("credit_type <", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeLessThanOrEqualTo(Integer value) {
            addCriterion("credit_type <=", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIn(List<Integer> values) {
            addCriterion("credit_type in", values, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotIn(List<Integer> values) {
            addCriterion("credit_type not in", values, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeBetween(Integer value1, Integer value2) {
            addCriterion("credit_type between", value1, value2, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("credit_type not between", value1, value2, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditNameIsNull() {
            addCriterion("credit_name is null");
            return (Criteria) this;
        }

        public Criteria andCreditNameIsNotNull() {
            addCriterion("credit_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreditNameEqualTo(String value) {
            addCriterion("credit_name =", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotEqualTo(String value) {
            addCriterion("credit_name <>", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameGreaterThan(String value) {
            addCriterion("credit_name >", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameGreaterThanOrEqualTo(String value) {
            addCriterion("credit_name >=", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLessThan(String value) {
            addCriterion("credit_name <", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLessThanOrEqualTo(String value) {
            addCriterion("credit_name <=", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLike(String value) {
            addCriterion("credit_name like", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotLike(String value) {
            addCriterion("credit_name not like", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameIn(List<String> values) {
            addCriterion("credit_name in", values, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotIn(List<String> values) {
            addCriterion("credit_name not in", values, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameBetween(String value1, String value2) {
            addCriterion("credit_name between", value1, value2, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotBetween(String value1, String value2) {
            addCriterion("credit_name not between", value1, value2, "creditName");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeIsNull() {
            addCriterion("daily_account_type is null");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeIsNotNull() {
            addCriterion("daily_account_type is not null");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeEqualTo(Integer value) {
            addCriterion("daily_account_type =", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeNotEqualTo(Integer value) {
            addCriterion("daily_account_type <>", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeGreaterThan(Integer value) {
            addCriterion("daily_account_type >", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("daily_account_type >=", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeLessThan(Integer value) {
            addCriterion("daily_account_type <", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeLessThanOrEqualTo(Integer value) {
            addCriterion("daily_account_type <=", value, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeIn(List<Integer> values) {
            addCriterion("daily_account_type in", values, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeNotIn(List<Integer> values) {
            addCriterion("daily_account_type not in", values, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeBetween(Integer value1, Integer value2) {
            addCriterion("daily_account_type between", value1, value2, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andDailyAccountTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("daily_account_type not between", value1, value2, "dailyAccountType");
            return (Criteria) this;
        }

        public Criteria andBatchsIsNull() {
            addCriterion("batchs is null");
            return (Criteria) this;
        }

        public Criteria andBatchsIsNotNull() {
            addCriterion("batchs is not null");
            return (Criteria) this;
        }

        public Criteria andBatchsEqualTo(String value) {
            addCriterion("batchs =", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotEqualTo(String value) {
            addCriterion("batchs <>", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsGreaterThan(String value) {
            addCriterion("batchs >", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsGreaterThanOrEqualTo(String value) {
            addCriterion("batchs >=", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLessThan(String value) {
            addCriterion("batchs <", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLessThanOrEqualTo(String value) {
            addCriterion("batchs <=", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLike(String value) {
            addCriterion("batchs like", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotLike(String value) {
            addCriterion("batchs not like", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsIn(List<String> values) {
            addCriterion("batchs in", values, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotIn(List<String> values) {
            addCriterion("batchs not in", values, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsBetween(String value1, String value2) {
            addCriterion("batchs between", value1, value2, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotBetween(String value1, String value2) {
            addCriterion("batchs not between", value1, value2, "batchs");
            return (Criteria) this;
        }

        public Criteria andBalanceIsNull() {
            addCriterion("balance is null");
            return (Criteria) this;
        }

        public Criteria andBalanceIsNotNull() {
            addCriterion("balance is not null");
            return (Criteria) this;
        }

        public Criteria andBalanceEqualTo(BigDecimal value) {
            addCriterion("balance =", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceNotEqualTo(BigDecimal value) {
            addCriterion("balance <>", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceGreaterThan(BigDecimal value) {
            addCriterion("balance >", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("balance >=", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceLessThan(BigDecimal value) {
            addCriterion("balance <", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("balance <=", value, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceIn(List<BigDecimal> values) {
            addCriterion("balance in", values, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceNotIn(List<BigDecimal> values) {
            addCriterion("balance not in", values, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("balance between", value1, value2, "balance");
            return (Criteria) this;
        }

        public Criteria andBalanceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("balance not between", value1, value2, "balance");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNull() {
            addCriterion("enterprise_id is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNotNull() {
            addCriterion("enterprise_id is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdEqualTo(Long value) {
            addCriterion("enterprise_id =", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotEqualTo(Long value) {
            addCriterion("enterprise_id <>", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThan(Long value) {
            addCriterion("enterprise_id >", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThanOrEqualTo(Long value) {
            addCriterion("enterprise_id >=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThan(Long value) {
            addCriterion("enterprise_id <", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThanOrEqualTo(Long value) {
            addCriterion("enterprise_id <=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIn(List<Long> values) {
            addCriterion("enterprise_id in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotIn(List<Long> values) {
            addCriterion("enterprise_id not in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdBetween(Long value1, Long value2) {
            addCriterion("enterprise_id between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotBetween(Long value1, Long value2) {
            addCriterion("enterprise_id not between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNull() {
            addCriterion("member_id is null");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNotNull() {
            addCriterion("member_id is not null");
            return (Criteria) this;
        }

        public Criteria andMemberIdEqualTo(Long value) {
            addCriterion("member_id =", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotEqualTo(Long value) {
            addCriterion("member_id <>", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThan(Long value) {
            addCriterion("member_id >", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThanOrEqualTo(Long value) {
            addCriterion("member_id >=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThan(Long value) {
            addCriterion("member_id <", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThanOrEqualTo(Long value) {
            addCriterion("member_id <=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdIn(List<Long> values) {
            addCriterion("member_id in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotIn(List<Long> values) {
            addCriterion("member_id not in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdBetween(Long value1, Long value2) {
            addCriterion("member_id between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotBetween(Long value1, Long value2) {
            addCriterion("member_id not between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNull() {
            addCriterion("pay_status is null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNotNull() {
            addCriterion("pay_status is not null");
            return (Criteria) this;
        }

        public Criteria andPayStatusEqualTo(Integer value) {
            addCriterion("pay_status =", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotEqualTo(Integer value) {
            addCriterion("pay_status <>", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThan(Integer value) {
            addCriterion("pay_status >", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_status >=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThan(Integer value) {
            addCriterion("pay_status <", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThanOrEqualTo(Integer value) {
            addCriterion("pay_status <=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusIn(List<Integer> values) {
            addCriterion("pay_status in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotIn(List<Integer> values) {
            addCriterion("pay_status not in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusBetween(Integer value1, Integer value2) {
            addCriterion("pay_status between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_status not between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNull() {
            addCriterion("pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNotNull() {
            addCriterion("pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeEqualTo(Integer value) {
            addCriterion("pay_type =", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotEqualTo(Integer value) {
            addCriterion("pay_type <>", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThan(Integer value) {
            addCriterion("pay_type >", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_type >=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThan(Integer value) {
            addCriterion("pay_type <", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThanOrEqualTo(Integer value) {
            addCriterion("pay_type <=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIn(List<Integer> values) {
            addCriterion("pay_type in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotIn(List<Integer> values) {
            addCriterion("pay_type not in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeBetween(Integer value1, Integer value2) {
            addCriterion("pay_type between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_type not between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIsNull() {
            addCriterion("accounting_state_customer is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIsNotNull() {
            addCriterion("accounting_state_customer is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerEqualTo(Integer value) {
            addCriterion("accounting_state_customer =", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotEqualTo(Integer value) {
            addCriterion("accounting_state_customer <>", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerGreaterThan(Integer value) {
            addCriterion("accounting_state_customer >", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_customer >=", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerLessThan(Integer value) {
            addCriterion("accounting_state_customer <", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_customer <=", value, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerIn(List<Integer> values) {
            addCriterion("accounting_state_customer in", values, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotIn(List<Integer> values) {
            addCriterion("accounting_state_customer not in", values, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_customer between", value1, value2, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateCustomerNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_customer not between", value1, value2, "accountingStateCustomer");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIsNull() {
            addCriterion("accounting_state_supplier is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIsNotNull() {
            addCriterion("accounting_state_supplier is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierEqualTo(Integer value) {
            addCriterion("accounting_state_supplier =", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotEqualTo(Integer value) {
            addCriterion("accounting_state_supplier <>", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierGreaterThan(Integer value) {
            addCriterion("accounting_state_supplier >", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_supplier >=", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierLessThan(Integer value) {
            addCriterion("accounting_state_supplier <", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_state_supplier <=", value, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierIn(List<Integer> values) {
            addCriterion("accounting_state_supplier in", values, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotIn(List<Integer> values) {
            addCriterion("accounting_state_supplier not in", values, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_supplier between", value1, value2, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingStateSupplierNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_state_supplier not between", value1, value2, "accountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIsNull() {
            addCriterion("invoice_apply_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIsNotNull() {
            addCriterion("invoice_apply_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusEqualTo(Integer value) {
            addCriterion("invoice_apply_status =", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotEqualTo(Integer value) {
            addCriterion("invoice_apply_status <>", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusGreaterThan(Integer value) {
            addCriterion("invoice_apply_status >", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_status >=", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusLessThan(Integer value) {
            addCriterion("invoice_apply_status <", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_apply_status <=", value, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusIn(List<Integer> values) {
            addCriterion("invoice_apply_status in", values, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotIn(List<Integer> values) {
            addCriterion("invoice_apply_status not in", values, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_status between", value1, value2, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceApplyStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_apply_status not between", value1, value2, "invoiceApplyStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusIsNull() {
            addCriterion("invoice_make_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusIsNotNull() {
            addCriterion("invoice_make_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusEqualTo(Integer value) {
            addCriterion("invoice_make_status =", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusNotEqualTo(Integer value) {
            addCriterion("invoice_make_status <>", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusGreaterThan(Integer value) {
            addCriterion("invoice_make_status >", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_make_status >=", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusLessThan(Integer value) {
            addCriterion("invoice_make_status <", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_make_status <=", value, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusIn(List<Integer> values) {
            addCriterion("invoice_make_status in", values, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusNotIn(List<Integer> values) {
            addCriterion("invoice_make_status not in", values, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_make_status between", value1, value2, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceMakeStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_make_status not between", value1, value2, "invoiceMakeStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusIsNull() {
            addCriterion("back_status is null");
            return (Criteria) this;
        }

        public Criteria andBackStatusIsNotNull() {
            addCriterion("back_status is not null");
            return (Criteria) this;
        }

        public Criteria andBackStatusEqualTo(Integer value) {
            addCriterion("back_status =", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusNotEqualTo(Integer value) {
            addCriterion("back_status <>", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusGreaterThan(Integer value) {
            addCriterion("back_status >", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("back_status >=", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusLessThan(Integer value) {
            addCriterion("back_status <", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusLessThanOrEqualTo(Integer value) {
            addCriterion("back_status <=", value, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusIn(List<Integer> values) {
            addCriterion("back_status in", values, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusNotIn(List<Integer> values) {
            addCriterion("back_status not in", values, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusBetween(Integer value1, Integer value2) {
            addCriterion("back_status between", value1, value2, "backStatus");
            return (Criteria) this;
        }

        public Criteria andBackStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("back_status not between", value1, value2, "backStatus");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
     *
     * table unified_order_return_credit
     *
     * do_not_delete_during_merge Fri Oct 16 16:53:56 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table unified_order_return_credit
     *
     * Fri Oct 16 16:53:56 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}